
#Bibliotecas necssárias
library("naivebayes")
library(caret)
library(readxl)
library(xlsx)

#Importar o banco de dados
bancodados <- read_excel("Banco de dados", sheet = "Planilha")
View(bancodados)

#criando samples de treino e teste
#particao <- createDataPartition(1:dim(bancodados)[1],p=.7)
bancodadostreino <- bancodados[particao$Resample1,]
bancodadosteste <- bancodados[- particao$Resample1,]
summary(bancodados)


### Treinando e observando Gaussian Naive Bayes
gnb <- naive_bayes(ConversaoClasses ~ ., bancodadostreino, usekernel = TRUE)
summary(gnb)
get_cond_dist(gnb)
gnb %prob% bancodadosteste

##Gerar Excel com as previsões
write.xlsx(gnb %prob% bancodadosteste, file ="Probailidades.xlsx")

##Plotando os Gráficos

plot(gnb, "RazaoInerte", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "WHSV", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "TemperaturaDeReacao", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "TemperaturaDeCalcinacao", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "TemperaturaDeReducao", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "TamanhoDeCristalito", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "Area", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "TeorFaseAtiva", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "ConcentracaoDopantePromotor", arg.num = list(legend.cex = 0.9), prob = "conditional")
plot(gnb, "Estruturaclasse", arg.num = list(legend.cex = 0.9), prob = "conditional")

